Public Member Functions

# IWebsessionManager Interface Reference

Websession manager. More...

List of all members.

## Public Member Functions
void | logon (in wstring username, in wstring password,[retval] out IVirtualBox return)
| Logs a new client onto the webservice and returns a managed object reference to the IVirtualBox instance, which the client can then use as a basis to further queries, since all calls to the VirtualBox API are based on the IVirtualBox interface, in one way or the other.
void | getSessionObject (in IVirtualBox refIVirtualBox,[retval] out ISession return)
| Returns a managed object reference to the internal ISession object that was created for this web service session when the client logged on.
void | logoff (in IVirtualBox refIVirtualBox)
| Logs off the client who has previously logged on with IWebsessionManager::logon and destroys all resources associated with the session (most importantly, all managed objects created in the server while the session was active).

## Detailed Description

Websession manager.

This provides essential services to webservice clients.

Interface ID:
  `{DEA1B4C7-2DE3-418A-850D-7868617F7733}`

## Member Function Documentation

void IWebsessionManager::logon | ( | in wstring | username,
|  | in wstring | password,
|  | [retval] out IVirtualBox | return |
| ) |  |  |

Logs a new client onto the webservice and returns a managed object reference to the IVirtualBox instance, which the client can then use as a basis to further queries, since all calls to the VirtualBox API are based on the IVirtualBox interface, in one way or the other.

void IWebsessionManager::getSessionObject | ( | in IVirtualBox | refIVirtualBox,
|  | [retval] out ISession | return |
| ) |  |  |

Returns a managed object reference to the internal ISession object that was created for this web service session when the client logged on.

See also:
  ISession

void IWebsessionManager::logoff | ( | in IVirtualBox | refIVirtualBox | ) |

Logs off the client who has previously logged on with IWebsessionManager::logon and destroys all resources associated with the session (most importantly, all managed objects created in the server while the session was active).